error C2039: “create”: 不是“cocos2d::GLView”的成员,出错解决办法

原创 2015年07月08日 20:42:52

今天在COCOS2D 3.6调试一个网上的例子,报错:

 error C2039: “create”: 不是“cocos2d::GLView”的成员

原来是 GLView在3.x的几个版本改动得比较大,
出错的代码是这样的:
    if(!glview) {
        glview = GLView::create("Brave C++ version");
        director->setOpenGLView(glview);
    }

应该改成如下代码,就可以通过:


    if(!glview) {
        glview = GLViewImpl::create("Brave C++ version");
        director->setOpenGLView(glview);
    }


版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

整理的一些 ios 因缺少framework引起的错误

_CA和_kCA开头QuartzCore.framework SDwebImage放入工程中  需加入 ImageIO.framework MapKit.framework _SCNetw...

iOS开发缺少framework对应错误提示

StoreKit.framework Undefined symbols for architecture i386: "_OBJC_CLASS_$_SKPayment", referenced f...
  • yangzm
  • yangzm
  • 2015年11月27日 12:41
  • 2562

安装cocos2d出错解决办法

安装cocos2d出错解决办法首先,cocos2d的下载地址是:www.cocos2d-iphone.org/download,留个做备忘。目前最新稳定版本是0.99.5,我下载是这个。我是一个新手,...

关于html5和cocos2d-html5缓存问题及解决办法

先说html5对应的缓存: 从html发展至今, 缓存各种各样,
  • zszeng
  • zszeng
  • 2014年09月24日 15:29
  • 1765

关于cocos2d-html5纹理模糊的问题解决办法

最初使用texturepacker打包的时候选择了premultiply, 导致
  • zszeng
  • zszeng
  • 2014年09月17日 15:18
  • 1650

XCode5下安装cocos2d模板及不能成功安装的解决办法

第一步,现在要安装集成环境xcode5,安装xcode5需要系统至少是os x 10.8.5。     第二步,下载cocos2d-iphone到电脑文档或任何一个文件夹(这里以文档为例), ...

Cocos2D v3.4.9粒子效果不能显示的原因分析及解决办法

大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请多提意见,如果觉得不错请多多支持点赞.谢谢! hopy ;) 在游戏App中为了衬托气氛我们往往使用一些特殊的图形效果...
  • mydo
  • mydo
  • 2016年01月31日 10:34
  • 2006

定制cocos2d的GLView

cocos2d功能强大,但是却不好整合进各种gdi和MFC程序中,有些实现是改cocos2d的项目源代码,这样的话,后续升级版本麻烦些,本文提供的方法可以不修改cocos2d源码...
  • robothn
  • robothn
  • 2017年01月13日 16:42
  • 242

安装Office出错Error 1406解决办法

  • 2011年10月07日 13:31
  • 154KB
  • 下载

configure: error: C compiler cannot create executables编译错误的解决办法的思路分析

编译错误: zyx@zyx:/opt/EmbedSky/Qte$ sudo ./arm-qtopia-2.2.0-konqueror_build [sudo] password for zyx...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:error C2039: “create”: 不是“cocos2d::GLView”的成员,出错解决办法
举报原因:
原因补充:

(最多只允许输入30个字)